<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: moving_boxes_panel.php
| Version: 1.0
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."moving_boxes_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."moving_boxes_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."moving_boxes_panel/locale/English.php";
}

add_to_head("
<link type='text/css' href='".INFUSIONS."moving_boxes_panel/css/movingboxes.css' media='screen' charset='windows-1251' rel='stylesheet'  />
<!--[if lt IE 9]>
<link type='text/css' href='".INFUSIONS."moving_boxes_panel/css/movingboxes-ie.css' rel='stylesheet' media='screen' />
<![endif]-->
<script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jquery/1.5/jquery.min.js' charset='windows-1251'></script>
<script type='text/javascript' src='".INFUSIONS."moving_boxes_panel/js/jquery.movingboxes.js' charset='windows-1251'></script>
<link type='text/css' href='".INFUSIONS."moving_boxes_panel/css/demo.css' media='screen' charset='windows-1251' rel='stylesheet'  />
<script type='text/javascript' src='".INFUSIONS."moving_boxes_panel/js/demo.js'></script>    
");

$result=dbquery(
	"SELECT * FROM ".$db_prefix."photo_albums ta ".
	"JOIN ".$db_prefix."photos USING (album_id)
	WHERE ".groupaccess('album_access')."
	ORDER BY photo_datestamp DESC LIMIT 0,10"
	);

opentable($locale['mbp001']);

if (dbrows($result)!= "0") {
	echo "<div id='wrapper'>";
	echo "<ul id='slider-one'>";
	while($data = dbarray($result)) {
		echo "<li><a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' class='side'>";
		echo "<img src='".PHOTOS."album_".$data['album_id']."/".$data['photo_filename']."' title='".$data['photo_title']."' alt='".$data['photo_title']."' border='0'></a>";
		echo "<h2>".$data['photo_title']."</h2>";
		echo "<p>".trimlink($data['photo_description'], 50)."</p>";
		echo "</li>";
	}
	echo "</ul>";
	echo "</div>";
} else {
	echo $locale['mbp102'];
}

closetable();

?>